Introduction

Diagram Studio 3.0 Online Help

Copyright © 1999-2003 Gadwin Systems, Inc.

All right reserved

Rev 3.0.1


Welcome

DiagramStudio offers you a wide choice of different tools that allows you to quickly and easily create flowcharts, business and technical diagrams, schemes, plans, family tree, etc. The focus of this tools is on ease-of-use, speedy results, automation, and quality output. DiagramStudio contains many features only found in very expensive packages such as automatic formatting, rotation, customizable toolbars, professional color styles, graphics import and export, automatic routing, curves, flexible text support, and a library of ready-made symbols and templates. DiagramStudio supports Object Linking and Embedding in Windows as an OLE Server. This makes it very easy to use DiagramStudio drawings in other Windows programs. You can embed or link your diagram. In both cases, you can edit the diagram by double clicking on it in the destination application.

It's easy to draw and edit charts with DiagramStudio. You don't need to have any artistic talent or drawing skills to use this program. Simpler objects can be easily created by using primitive graphic components, and for more complicated ones you can use our Libraries, supplied with the program, where most of the objects you might need are already gathered for you, and can be easily dragged from there and dropped into your diagram. DiagramStudio includes many ready-made symbols that are carefully organized into Libraries designed for specific tasks.

Check your spelling while you type, with the built-in Spelling Checker. This real-time spelling checker runs in the background and underlines mistakes as you type. It even offers right-click menu suggestions, and allows you to create a custom spelling dictionary of your own terms.

Right-click on a object to edit its properties. For each object you can assign different line colors, pattern, fill and shadow colors. You can enter explanatory text label at any location. Text is entered and formatted just like it is in your word processor. DiagramStudio's intelligent connectors automatically change their path when you reposition objects, avoiding crossing other objects. Powerful grid and alignment aids keep your diagram attractive. DiagramStudio handles the hard parts of drawing a diagram and leaves you free to focus on the layout and appearance.


About DiagramStudio

Diagram Studio is a powerful application for creating professional-looking business and technical drawings and illustrations for your documents quickly and easily. Diagram Studio is the ideal program for creating a wide variety of flowcharts, organization charts, and diagrams. Specifically, Diagram Studio can produce:

Business diagrams, presentations and illustrations

Organization and workflow charts

Software and process flowcharts

Database structures

Engineering schematics and technical drawings

Web-site structures and network diagrams

Research layouts and maps

Floor plans, street and directional maps, traffic routings

and much more of any application field. Diagram Studio can save you a lot of time when making a diagram, because it links symbols together automatically when they are moved and/or resized/ You have full control over text, shape and line styles.

DiagramStudio 3.0 Feature List

Comes with over a hundred pre-defined symbols and several diagram templates including flowcharts of all sizes

Create large multi-page wall posters

Powerful drawing tools, such as Line, Curve, Rectangle, Polygon, Ellipse, etc.

Many lines styles, curves patterns, and designs

Create your own styles like a word processor

Unlimited number of layers

Smart connectors

Multiple connection points - connect anywhere on a symbol

Staple feature lets you "staple" labels to keep near a symbol

Snap customizable grid for precise placement

Alignment and arrangement tools

Full zoom and Pan capability

Customizable working area

Object Explorer, Rulers, Toolbars

Copy or export diagrams to any program that supports OLE

Import graphics and clip-art to use in your diagrams

Export diagrams as WEB graphics (JPG files), Windows bitmap and metafile

and much more.

System Requirement

DiagramStudio 3.0 requires Microsoft ® Windows 95/98/Me/2000/XP, or Windows NT 4.0. If you are running any of these operating systems and have a Windows-compatible mouse or pointing device, your system has already met all the requirements necessary to run DiagramStudio. A full installation of DiagramStudio requires only 12 megabytes of hard drive space. DiagramStudio has complete printer and plotter support. If a graphics printer or plotter is installed in Windows, it will work with DiagramStudio.


License Agreement

LICENSE FOR USE AND DISTRIBUTION

Please read the following terms and conditions carefully before using this software. Your use of software provided with this agreement (the "SOFTWARE") indicates your acceptance of this license agreement. If you do not agree with the terms of this license you must remove this software from your storage devices and cease to use the product.

1. LICENSE GRANT.

Gadwin Systems,Inc. grants you a license to use one copy of the version of this SOFTWARE on any one system for as many licenses as you purchase. "You" means the company, entity or individual whose funds are used to pay the license fee. "Use" means storing, loading, installing, executing or displaying the SOFTWARE. You may not modify the SOFTWARE or disable any licensing or control features of the SOFTWARE except as an intended part of the SOFTWARE's programming features. When you first obtain a copy of the SOFTWARE, you are granted an evaluation period of not more than 30 days, after which time you must pay for the SOFTWARE according to the terms and prices discussed in the SOFTWARE's documentation, or you must remove the SOFTWARE from your system. This license is not transferrable to any other system, or to another organization or individual. You are expected to use the SOFTWARE on your system and to thoroughly evaluate its usefulness and functionality before making a purchase. This "try before you buy" approach is the ultimate guarantee that the SOFTWARE will perform to your satisfaction; therefore, you understand and agree that there is no refund policy for any purchase of the SOFTWARE.

2. OWNERSHIP.

The SOFTWARE is owned and copyrighted by Gadwin Systems, Inc. Your license confers no title or ownership in the SOFTWARE and should not be construed as a sale of any right in the SOFTWARE.

3. COPYRIGHT.

This software is copyright 1999-2003, Gadwin Systems, Inc. DiagramStudio is a trademark of Gadwin Systems, Inc. The use and copyright of this software is governed by international copyright treaties. Gadwin Systems retains full title and rights to this software and documentation and in no way does the license granted in any way diminish the intellectual property rights of Gadwin Systems, Inc. You must not redistribute the registration codes provided, either on paper, electronically, or in any other form.

3. DISCLAIMER.

THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT WILL GADWIN SYSTEMS, INC. BE LIABLE TO YOU FOR ANY DAMAGES, INCLUDING INCIDENTAL OR CONSEQUENTIAL DAMAGES, ARISING OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. YOU ACKNOWLEDGE THAT YOU HAVE READ THIS LICENSE, UNDERSTAND IT AND AGREE TO BE BOUND BY ITS TERMS.

4. DISTRIBUTION.

The SOFTWARE may be distributed freely in its original unmodified and unregistered form, with exceptions noted below, provided the distribution package is not modified. No person or company may charge a fee for the distribution of SOFTWARE without written permission from the copyright holder. The SOFTWARE may not be bundled or distributed with any other package without written permission of the copyright holder.

5. OTHER RESTRICTIONS.

You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.

Thank you for using DiagramStudio.

Gadwin Systems.


Installing and uninstalling DiagramStudio

The DiagramStudio setup wizard makes it easy to install and uninstall application. The setup wizard lets you:

Install or update your current installation

Uninstall DiagramStudio


Install or update your current installation

To install or update current installation:

1. | Close all applications
2. | Click Start on the Windows taskbar, and click Run. Type C:\PATH\DiagramStudio_Setup.exe, where C:\PATH is the drive and folder where you have download DiagramStudio.
3. | Follow the instructions in the DiagramStudio setup wizard.


Uninstall DiagramStudio

1. | Open the Windows Control Panel.
2. | Double-click the "Add/Remove programs" icon.
3. | Search the list for the item "DiagramStudio" and double-click on it.


Using DiagramStudio Help

DiagramStudio has a variety of tools that help you work with the application:

Online documentation lets you access Help directly from the user interface and find topics using the contents topic, index, and word/phrase search tool.

Context help lets you get access to a type of online Help that provides information on a specific item.

ToolTips lets you access tips for using Diagram Studio icons and buttons.


Using online Help

To access online Help:

1.

On main menu click Help.

2.

Click one of the following tabs:

Contents

- lets you choose a topic from a section of the online Help.

Index

- lets you use the index to find a topic.

Search

- lets you find a topic by searching for a particular word or phrase in the online Help.

The DiagramStudio Help dialog box has three tabs: Contents, Index, and Search.

Contents

When you click on the Contents tab you see the major topics covered in DiagramStudio Online Help. This table of contents is organized like a user’s manual with major topics, subtopics, and articles you can read. If you just want to learn about DiagramStudio, you could start at the top and read each article.

Index

Usually, you look for help with a specific question in mind. For example, you want to make some text bold and you are not sure how to do that. In this case, you would click on Help, Help Topics, and Index. The Index tab will list all the keywords of DiagramStudio Online Help. When DiagramStudio Help was written, keywords were added to each topic to help you find the information you need. You can type the first few letters of the word you are looking for, or you can scroll through the alphabetical list of keywords. Once you have found the word, click on the Display button at the bottom to read the information.

Search

If you cannot find the information you are looking for using the Index tab, then you can click on the Search tab. The difference between using the Index tab and the Search tab is that the Index tab searches through the keywords that were placed in each topic of DiagramStudio Online Help while the Search tab searches through all the words. The Index search is faster and should be tried first.

Note:

After you access an online Help topic, you can access related topics by clicking on the blue highlighted text: for example Next ->.


Using context Help

The status bar at the bottom of the application window lets you familiarize yourself with work area elements by displaying brief descriptions of buttons, controls, and menu commands as you move the mouse over them. To access context help for dialog boxes click the Help button in the dialog box.


Display ToolTips

ToolTips lets you access information about icons and buttons. To display ToolTips position the cursor over an icon or a button.


Getting Started

This section is designed for authors who want a quick walk-through of how to create diagrams. Basic steps for creating drawings provides suggested procedures for quickly and easily using DiagramStudio's power and flexibility to develop a new diagram.

Basic steps for creating DiagramStudio diagrams:

1. | Start a new diagram from a blank page, from a template, or from an existing drawing.
2. | Add components by dragging them from the library and dropping them onto the drawing page.
3. | Connect the components in your diagram.
4. | Add text to components in your diagram, and add independent text for titles.
5. | Publish your diagram to the Web, or print your diagram for share it with others.

See also:

DiagramStudio Terms

Exploring the work area

Quick tour

Tutorial: Drawing a Flowchart


DiagramStudio Terms

Before you get started, you should be familiar with the following terms.

Term

Description

Drawing

The work you create in Diagram Studio; for example, custom diagram, flowchart, block diagram, or organization chart.

Object

Object is an independent element that you can modify. Object include lines, shapes, connectors, images, labels, and text. You can create a object by dragging and dropping a master object from a library into a drawing, by using drawing tools, or by grouping other objects.

Composite Object or Group

Composite Object is a composite consisting of other objects that define its appearance.

Snap Point

A Snap Point is a location on an Object at which other Objects can be connected.

Label

A Label is a special text object that are associated with Object and are positioned in relation to them.

Connector

A Connector is an object that are used to draw relationships between two Objects.

Library

A Library is a repository of objects. You can drag onto the drawing to create your diagram.

Layer

A Layer is a named category of objects.

Grid

Grids are non-printing horizontal and vertical lines displayed on the drawing. The grid helps you position objects visually. The intervals of the grid correspond to the unit of measure you set in the Option dialog box. You control the size of the interval in the Tools->Ruler& Grid dialog box.

Object Properties

A Object Properties is an internal attributes of object such as size, line style, pattern, line color, pattern color, fill color etc.


Exploring the work area

The Diagram Studio work environment is designed to accommodate different kinds of diagram authors. When you open the program, you see the main window and all of its working components. After you create or open a diagram, these components will activate so you can start working with the ones you need to use.

1. | Tools are grouped in functional sets on toolbars. You can specify which toolbars you want to display by choosing View->Toolbars. Shortcut menus let you quickly access useful commands.
2. | DiagramStudio includes many ready-made symbols that are carefully organized into Libraries designed for specific tasks. You can drag onto the drawing to create your diagram.
3. | You can create a diagram that is larger that a single page by arranging several pages into a grid. When you print the pages, you can attach them together to make a large wall poster. Diagram Studio helps you do this kind of postering by letting you set up a poster grid that will display with your page boundaries.
4. | You can view areas that fall outside the drawing page by using the Pan&Zoom Window. For example, when you work at high magnification levels or with large drawings, you may not be able to see everything in a drawing. The Pan&Zoom Window allows you to jump to a different drawing area without having to adjust the magnification level.
5. | Use Properties window to view and change the properties of selected objects. Properties Window is available from the View menu. The Properties window displays different types of editing fields, depending on the needs of a particular property. These edit fields include edit boxes, drop-down lists. Properties shown in gray are read-only.
6. | You can see a hierarchical view of your diagram in the Object Explorer window, and then delete, edit, and navigate to objects in your drawing. As you add and delete objects, the Object Explorer window updates to reflect the current drawing hierarchy.
7. | The Task List window helps you to organize and manage the work of building your application. In the Task List window, you can:
 | -- Enter user notes related to the solution in the Click here to add a new task field.
 | -- Sort Task List entries by the columns heads Priority, Category, Checked, Description.

See also:

Getting around in a diagram

Exploring the toolbars

Exploring the modes


Getting Around in a Diagram

Limitations of the computer screen present the single greatest obstacle to working on a diagram. Typical diagrams extend well beyond the size and degree of detail that you can view effectively within a single window. This chapter describes the methods provided to overcome this obstacle. With these features, you can control precisely both the portion of the diagram and the degree of detail that are shown.

Zoom

Zoom features allow you to move quickly between different views of the diagram and to increase and decrease the degree of detail displayed in the diagram window. By changing the zoom magnification, you can control how much of the diagram is visible and how much detail is displayed. You also can easily zoom in or out with increased precision using Pan & Zoom window.

Using the Scroll Bars

You can use scroll bars to move your view of the diagram up-and-down and left-and-right without affecting the degree of detail shown. The only thing unusual about our scroll bars is the large area of the diagram that lies beyond the extents of the printed page boundary. For the common diagram that fits on a single piece of paper, the entire diagram is located very near the center position of the scroll bars. With these diagrams, the slider portion of the scroll bar won't be particularly useful. The scroll bar buttons scroll the diagram by a small amount in the direction of the arrow. Clicking in the region of the scroll bar between the slider and a button scrolls by a half screen in the direction of the button.

Autoscroll

When you drag an object past the edge of the screen, the diagram automatically scrolls to follow the cursor. Autoscroll is only in effect when the current view is maximized to fill the entire workspace.


Exploring the toolbars

The toolbars consists of buttons that are shortcuts to many of the menu commands. You can specify which toolbars you want to display by choosing View->Toolbars. The following table provides descriptions of the tools in the toolbar.

Button | Description
 | Create a new drawing.
 | Open an existing drawing.
 | Save the active drawing.
 | Print the active drawing.
 | Display full pages.
 | Cut the selection and put it on the Clipboard.
 | Copy the selection and put it on the Clipboard.
 | Insert Clipboard contents.
 | Undo the last action.
 | Redo the previously undone action.
 | Display the table of contents for the online documentation.
 | Changes the font of selections.
 | Changes the font size of selections.
 | Makes the selection bold.
 | Makes the selection italic.
 | Makes the selection underline.
 | Make the selection strikeout.
 | Left jastifies selections.
 | Center jastifies selections.
 | Right jastifies selections.
 | Top jastifies selections.
 | Middle jastifies selections.
 | Bottom jastifies selections.
 | Font color.
 | Apply a style to the selected objects.
 | Assign the selected objects to layers.
 | Setup a line width.
 | Setup a line pattern.
 | Begin line ends.
 | End line ends.
 | Changes the line color of selections.
 | Changes the shape pattern of selections.
 | Changes the pattern color of selections.
 | Changes the fill color of selections.
 | Change the shadow of selected objects.
 | Zoom percentage.
 | Zoom Out
 | Zoom In
 | Zoom a drawing at actual size.
 | Zoom a drawing at whole size.
 | Zoom a drawing at poster width.
 | Zoom so that all objects are visible.
 | Zoom so that selected objects are visible.
 | Pointer tool.
 | Rotation tool.
 | Switch to Vertices Edit mode.
 | Match Properties Tool
 | Display a drawing at any zoom percentage.
 | Pan a drawing.
 | Line connector tool.
 | Dynamic connector tool.
 | Curve connector tool.
 | Snap-point tool.
 | Rectangle tool.
 | Ellipse tool.
 | Polygon tool.
 | Closed curve tool.
 | Line tool.
 | Polyline tool.
 | Curve tool.
 | Insert a text object into your drawing.
 | Insert a picture into your drawing.
 | Flip the selected object(s) about their horizontal axis.
 | Flip the selected object(s) about their vertical axis.
 | Rotate the selected object(s) 90 degrees clockwise.
 | Rotate the selected object(s) 90 degrees counterclockwise.
 | Align left edges of the selected objects with the dominant object.
 | Align vertical centers of the selected objects with the dominant object.
 | Align right edges of the selected objects with the dominant object.
 | Align top edges of the selected objects with the dominant object.
 | Align horizontal centers of the selected objects with the dominant object.
 | Align bottom edges of the selected objects with the dominant object.
 | Evenly space selected objects horizontally.
 | Evenly space selected objects vertically.
 | Resize selected objects to have the same width as the dominant object.
 | Resize selected objects to have the same height as the dominant object.
 | Resize selected objects to have the same size as the dominant object.
 | Bring selected object(s) to front of drawing order.
 | Send selected object(s) to back of drawing order.
 | Bring selected object(s) forward in drawing order.
 | Send selected object(s) backward in drawing order.
 | Nudge the selected object(s) to top.
 | Nudge the selected object(s) to bottom.
 | Nudge the selected object(s) to left.
 | Nudge the selected object(s) to right.
 | Ungroup selected group(s).
 | Group selected objects.
 | Snap object to grid.
 | Toggle the display of rulers on/off.
 | Toggle the display of grid on/off.
 | Toggle the display of page breaks on/off.
 | Toggle the display of connection points on/off.
 | Toggle the display of the Object Explorer window on/off.
 | Toggle the display of the Libraries window on/of.
 | Toggle the display of the Pan & Zoom window on/off.
 | Toggle the display of the Task window on/off
 | Show object properties.
 | Switch between normal view mode and maximized viewing area mode.


Exploring the modes

While you are working on a diagram you are always in one of several modes. There is a mode for selecting and moving objects, a mode for creating objects, a mode for creating labels and editing text, a mode for creating connectors, and a mode for zooming into a certain area of a diagram. You'll enter each mode to perform certain operations. The cursor, or more accurately the mouse cursor, is a small graphic image that indicates where on the screen the mouse is pointing. Different shapes for the mouse cursors indicate different modes. Following is a brief summary of each mode and corresponding mouse cursor.

Mode | Cursor shape | To enter the mode
Ready to select |  | Click [image] toolbar button
Ready to move |  | Switch to Ready to Select mode and move cursor over selected object(s)
In the process of moving |  | Switch to Ready to Move mode and press left button of mouse
Rotation mode |  | Click [image] toolbar button
Ready to rotate |  | Switch to Rotation mode and move cursor over selected object(s)
In the process of rotating |  | Switch to Ready to Rotate mode and press left button of mouse
Match Properties mode |  | Click [image] toolbar button
Ready to zoom in or out |  | Click [image] toolbar button
Start the rectangle for zoom-to-rect |  | Switch to Ready to Zoom mode and press left mouse button
Ready to pan the diagram |  | Click [image] toolbar button
Start panning the diagram |  | Switch to Ready to Pan mode and press left button of mouse
Ready to move a vertex |  | Click [image] toolbar button
In the process of moving vertex |  | Move cursor over vertex selection handle
Ready to delete a vertex |  | Move cursor over vertex selection handle and press Ctrl key
Ready to create a connector |  | Click [image] , [image] , or [image] toolbar button or choose corresponding item from Connection submenu under the Insert menu
Start the creation of a connector |  | Switch to Ready to Create Connector mode and move cursor over symbol
Ready to insert a snap-point |  | Click [image] toolbar button or choose Snap Point from Connection submenu under the Insert menu
Start the insertion of a snap-point |  | Switch to Ready to Insert Snap Point mode and move cursor over object(s)
Ready to create a rectangle |  | Click [image] toolbar button or choose Rectangle from Shape submenu under the Insert menu. Press the left mouse button, keep it held, and move the mouse to form a rectangular lasso area. The lasso area displays as dotted box.
Ready to create a ellipse |  | Click [image] toolbar button or choose Ellipse from Shape submenu under the Insert menu. Press the left mouse button, keep it held, and move the mouse to form a rectangular lasso area. The lasso area displays as dotted box.
Ready to create a polygon |  | Click [image] toolbar button or choose Polygon from Shape submenu under the Insert menu.
Ready to create a closed curve |  | Click [image] toolbar button or choose Closed Curve from Shape submenu under the Insert menu.
Ready to create a line |  | Click [image] toolbar button or choose Line from Line submenu under the Insert menu.
Ready to create a polyline |  | Click [image] toolbar button or choose Polyline from Line submenu under the Insert menu.
Ready to create a curve |  | Click [image] toolbar button or choose Curve from Line submenu under the Insert menu
Ready to create a text object |  | Click [image] toolbar button or choose Text from Insert menu.. Press the left mouse button, keep it held, and move the mouse to form a rectangular lasso area. The lasso area displays as dotted box.
Ready to insert an image |  | Click [image] toolbar button or choose Picture from Insert menu.


Quick tour

In the Quick Tour, you will learn how to create and open a diagram, work with libraries, add objects to you diagram, add and change text, selecting and deselecting objects, use object handles, move and resize objects, connect symbols, modify objects, changing object properties, create groups of objects, modify group and objects in group, create your own objects and symbols, add background in your diagram, create and apply styles, use layers, save and print your work.

Are you ready? Let's get started!


Create and open a diagram

Diagram Studio lets you start a new diagram from a blank page, from a template, or from an existing drawing. A blank page gives you the freedom to specify every aspect of a diagram.

To start a drawing from a blank page do the following: Start Diagram Studio. In the Get Started, double-click Blank. A drawing page appears, with the basic libraries and tools you need to begin your drawing.

A Template provides you with a starting point and leaves the amount of customization to you. You automatically get all the tools and features you need to create that particular type of diagram. The templates included with Diagram Studio are available under the following categories:

For example, to create Flowchart, you open the Flowchart drawing type.

To start a Flowchart do the following:

1. | Start Diagram Studio.
2. | Under Category, click Flowchart
3. | Under Template, click Basic Flowchart

A drawing page appears, with the libraries and tools you need to begin your drawing.


Work with libraries

When you start a new diagram from a blank page or by opening a template, Diagram Studio opens one or more task-related libraries. Libraries contain objects you can drag onto the drawing page to create your diagram. In the Library, you can store objects that you use most often.

To create new library choose File->New->Library.

To open additional libraries choose File->Open->Library, choose the library you want to open, and then click OK.


Add objects to you diagram

The easiest way to create a diagram is to drag objects from a library onto the drawing. When you drop a object onto the drawing, Diagram Studio snaps the object to the nearest grid line so you can position it precisely in your diagram.

To add a object to your diagram:

1. | Choose the pointer tool [image] from the Drawing toolbar.
2. | In the library, select the object you want.
3. | Hold down the left mouse button and drag the object onto the drawing. Release the mouse button to drop the object onto the drawing.

If you mistake, you can use the Undo toolbar button [image] to cancel you most resent action, and the Redo button [image] if you change you mind.


Add and change text

Text can clarify the meaning of your diagram. You can use text to:

Describe the process a object represent in a process flow diagram.

Add title blocks to your diagram.

Annotate a diagram.

You may create the text simply having added Text object. In additional, Diagram Studio objects and connectors are designed so that you can add text to them. You can add or edit the labels of objects (connectors) by double-clicking the object (connector), and then editing the text block.

To add Text object:

1. | Choose the pointer tool [image] from the Drawing toolbar.
2. | Drag in the drawing window until the Text block is the size you want. You can draw a square block by holding down SHIFT as you drag.
3. | Double-click the Text object, and then type the text.
4. | When you finish typing, click outside the Text object.
5. | To format text use the Text... command on the Format menu or the tools on the Format text toolbar to apply formatting to the selected Text object.

To change text:

1. | Double-click the Text object, and the type.
2. | When you finish typing, click outside the Text object.

To find text in large diagrams, use the Find Text dialog box. Choose Edit->Find, and then type the finding text.


Selecting and Deselecting Objects

Most features affect one or more objects, but generally not all objects in a diagram Before you perform a future, you can select the objects to which the feature will apply. When an object is selected, its handles become visible as small bright green (turquoise - for slave objects) squares along the border of object.

One way to select objects is to form a lasso around a set of objects. A lasso is box that you form to choose a rectangular area of the diagram.

1. | Move the cursor to an area of the diagram where there are no objects. The cursor becomes the standard arrow shape.
2. | Press the left mouse button, keep it held, and move the mouse to form a rectangular lasso area. The lasso area displays as dotted box.
3. | Release the mouse button. All objects that are located entirely within the lasso area become selected.

Another way to select objects is Click Select. Select individual objects by clicking on the objects with the left mouse button.

Normally, if some objects are selected and you attempt to select with any of the other methods, the previously selected objects become deselected before the new objects become selected. If you'd like the previously selected objects to remain selected in addition to the newly selected objects, hold down the SHIFT key while selecting.

To deselect all selected objects, click the left mouse button on the diagram where there are no objects.


Use object handles

Diagram Studio have handles you can use to resize or move the object, or to change the object's appearance, position, or behavior. You use selection handles to resize objects, and control handles to perform action that are unique to the particular objects on which they appear.

For example, you might use a selection handle to adjust the size of a object or you might use control handle to change its corners.


Move and resize objects

Moving Diagram Studio objects is as easy as selecting the objects and then dragging the selection to the new location in you diagram. You can resize objects quickly by simply dragging selection handles.

To move the object:

1. | Select the object with the pointer tool. The pointer changes to [image] when the object is movable.
2. | Hold the left mouse button while dragging the shape to the location you want in your diagram, and then release.

Note: To select multiple objects click to select a object, hold down the SHIFT key, and then click the other objects you want to select.

Note: To limit the movement of object to horizontal or vertical, hold the SHIFT key while dragging.

To resize a selected object:

1.

Point to selection handle until the pointer changes to two-head arrow, and then drag the handle to change the size.


Connect symbols

Flowcharts, organization charts, block diagrams, and network diagrams are all connected diagrams - diagrams that show relationships between objects. A symbol in Diagram Studio is an object that can have labels and connections to other symbols. Connected symbols stay connected when one of the symbols is moved. A connection point [image] on a symbol shows where you can glue connectors. When you attach a connector to a snap point [image] on symbol or to the symbol itself, you glue the connector to the symbol.

You can use two types of connections in Diagram Studio, symbol-to-symbol and point-to-point. The type of connection you use depend on how much control you want over your diagram. With symbol-to-symbol connections, Diagram Studio maintains the most direct connection between the symbols. This means that the actual points of connection might change when you move the connected symbol in relation to each other.

Symbol-to-symbol sample

With point-to-point connections, the actual points of connection stay the same no matter how you move the connected symbols.

Point-to-point sample

To connect symbols on the drawing, symbol-to-symbol:

1. | Use the pointer tool to drag two symbols, one at a time, from a library onto the drawing.
2. | From Drawing toolbar, click the connector tool [image] , and then position the connector tool over the central point of the first symbol. Hold down the mouse button and drag to draw a connector.
3. | While holding the mouse button, position the connector tool over the central point of the symbol to which you want to connect, and then release the mouse button.
4. | The symbols are connected symbol-to-symbol.

To connect symbols on the drawing, point-to-point:

1. | Use the pointer tool to drag two symbols, one at a time, from a library onto the drawing.
2. | From Drawing toolbar, click the connector tool [image] , and then position the connector tool over the any snap point [image] of the first symbol. Hold down the mouse button and drag to draw a connector.
3. | While holding the mouse button, position the connector tool over the any snap point [image] of the symbol to which you want to connect, and then release the mouse button.
4. | The symbols are connected point-to-point.

To add snap point to a symbol:

1. | Select object.
1. | Click the Snap Point Tool
2. | Hold down the CTRL key, and then click the symbol where you want to add the snap point. The new snap point appears on the symbol.

To delete a snap point:

1. | Select object.
1. | Click the Snap Point Tool
2. | Hold down the CTRL key, and then click the snap point.


Modify objects

You can use Diagram Studio tools on the Layout toolbar to modify objects.

Flip and Rotate

1.

Select one or more objects.

2.

Choose one of the commands from Flip and Rotate submenu under the Layout menu or the Layout toolbar.

- Flip a object(s) horizontally

- Flip a object(s) vertically

- Rotate a object right

- Rotate a object left

To Aligning a Objects

1.

Select at least two objects.

2.

Choose one of the selected objects to be the master object, the object with which the other selected objects are aligned. By default the last object selected as master object. To force a different selected object the master object, hold down the SHIFT key and double-click on a different object.

3.

Choose one of the alignment methods from Align submenu under the Layout menu or the Layout toolbar.

- Align left sides

- Align centers

- Align right sides

- Align top sides

- Align middles

- Align bottom sides

Making Objects the Same Size

Diagram Studio contains many aids for creating objects with uniform size. One way is to use the libraries and another is to use the snap grid. If you still end up with objects of different sizes that you wish to make the same, you can use the Make Same Size feature.

To make a number of objects the same size:

1.

Select at least two objects.

2.

Choose one of the selected objects to the master object, the object whose size indicates the size to make the other selected objects. By default the last object selected as master object. To force a different selected object to become the master object, hold down the SHIFT key and double-click on a different object.

3.

Choose one of the sizing methods (Width, Height, or Both) from the Make Same Size submenu under the Layout menu or the Layout toolbar.

- Width

- Height

- Both

Spacing Objects Evenly

The Space Evenly is an operation in which space out a set of objects such that the space between them is equal. The snap grid is very useful for spacing objects across the diagram top to bottom at equal intervals. The Space Evenly feature is useful for this same purpose.

To space a set of objects evenly from left to right or top to bottom:

1.

Select at least three objects.

2.

Choose either Across or Down from Space Evenly submenu under the Layout menu.

3.

The selected objects will be spaced evenly from right to left if you chose Across, or top to bottom if you chose Down.

- Across

- Down

The spacing is determined by average spacing between the right-most and left-most (top-most and bottom-most) of the selected objects.

Change the Stacking Order

All objects have an stacking order within the diagram. New objects are in front of previously created objects and are drawn on top of them. The Placement features change an object's order in the diagram, and let you choose which objects are in front of or back of other objects.

To move one or more selected objects to the front:

1. | Select one or more objects.
2. | Choose Bring to Front from Placement submenu under the Layout menu or press [image] button of the Layout toolbar. The selected objects move in front of all other objects in the diagram.

To move one or more selected objects to the back:

1. | Select one or more objects.
2. | Choose Send to Back command from Placement submenu under the Layout menu or press [image] button of the Layout toolbar. The selected objects move in back of all other objects in the diagram.

To move one or more selected objects in front of the overlapping objects:

1. | Select one or more objects.
2. | Choose Bring Forward command from Placement submenu under the Layout menu or press [image] button of the Layout toolbar.

To move one or more selected objects behind the overlapping objects:

1. | Select one or more objects.
2. | Choose Send Backward command from Placement submenu under the Layout menu or press [image] button of the Layout toolbar.


Changing Object Properties

Each object has a set of properties that define how it looks, how it behaves, and where it's located within the diagram. Most of the initial properties of a object come from currently selected style. You can add colors and shadow to objects and instantly make your diagrams more visually dynamic. You can also change the format of lines and line ends in your diagrams. By applying line ends, you can turn any line into an arrow. This chapter describes how to change the object properties.

You can use Object Properties window to view and modify the object's properties or you can use the Format Shape toolbar and the Format Text toolbar.

To view Object Properties dialog box:

1. | Select the object.
2. | Choose Properties from the View menu or from the right mouse button menu.

To apply or remove a shadow:

1. | Select the object.
2. | Choose Shape from Format menu.
3. | In the Shadow group, choose the options you want to apply from the Shadow Color, Horizontal offset, and Vertical offset.
4. | To remove a shadow, choose None shadow from the ShadowStyle combo box.

To view and modify the object's properties you can also use the Format Shape toolbar and the Format Text toolbar.

To apply Fill color to a object:

1. | Select one or more objects.
2. | Click the arrow next to the Fill Color button on the Format Shape toolbar. (Click More colors... for additional colors.)
3. | Choose the fill color you want to use. If you will choose No Fill the object becomes transparent.

To format a line style:

1.

Select the object and choose the Line Weight, Line Pattern, Line Ends, and Line Color buttons on the Format Shape toolbar to select the formatting you want to use.

Note: Please see the picture below for understand how fill-pattern work.


Create groups of objects

You can group objects so that they function as a unit. It's useful to group objects when you regularly use them together. For example, if you create a new object that's composed of several separate objects, you can group the objects together so that you can treat them as one object and add that composite object to other drawings. You can group any combination of Diagram Studio objects, objects you draw yourself, other groups, and you can format individual object in the group.

Some Diagram Studio objects are groups - that is, sets of objects grouped to form a single object.

To group objects:

1. | Select the objects you want to group.
2. | Choose Group from the Grouping submenu under Layout menu or Group from the right mouse button menu.

To ungroup objects:

1. | Select a group.
2. | Choose Ungroup from the Grouping submenu under Layout menu or Ungroup from the right mouse button menu.


Modify group and objects in group

You can modify groups just as you would any individual object. You can select, move resize, or rotate a group as a single object. You can also select and modify the individual objects that make up the group.

To select a group objects:

1. | Click one of the objects in the group.
2. | A dashed line appears around the grouped objects.

To select an individual object in a group:

1. | Select the group in the Object Explorer window.
2. | Select the object you want to modify in the group.
3. | Choose Properties from the right mouse button menu.
4. | Make any changes you want to the object, and then click OK.


Create your own objects

To create your own objects in Diagram Studio you can draw a object from scratch using Diagram Studio drawing tools, such as:

- Rectangle tool

- Ellipse tool

- Polygon tool

- Closed Curve tool

- Line tool

- Polyline tool

- Curve tool

- Text tool

- Picture tool

When you use the Diagram Studio drawing tools to create objects, keep in mind that a object can be either open or closed. Open objects are lines, polylines, curve. You can format their ends, but you can't fill them with colors or patterns because they contain no closed space. Closed objects, such as rectangles, polygons, or ellipses, are surrounded by a continuous line. You can fill them with colors and patterns.

To draw a object from scratch using Diagram Studio drawing tools:

1. | Choose a drawing tool from the Drawing toolbar.
2. | Click and drag on the drawing page to create the object you want.

To revise an existing object:

1. | Select the object.
2. | Choose Control Point tool from Drawing toolbar.
3. | Drag, add, or delete control points. To add, or delete control point press and hold CTRL key.


Adding your own objects to a library

If you want to reuse your own objects the next time you open a particular drawing type, you can add your own objects to existing libraries in your diagram. You can also create a new library, and then add your own objects as well as any existing Diagram Studio objects you want to it. Then, you can save the library, so that you and others can reuse it in other diagrams.

To add your own object to an existing library:

1. | Select and drag your own object from drawing onto the library. A new icon representing your own object appears on the library with generic name, such as Group1.
2. | Click the new item on the library, click it again, and then type the name you want for the new object.
3. | Choose Edit Icon from the right mouse button menu and draw the icon you want for the new object.

To add your own object to new library:

1. | Choose File->New->Library. You can also choose New Library from the right mouse button menu.
2. | Select and drag your own objects, one at a time, from the drawing onto the new library.
3. | The Save As dialog box appears. In the Save As dialog box, navigate to the folder where you want to save the library, and then type a name for the library in the File Name box, and then click Save.


Add background in your diagram

Each Diagram Studio drawing may contain one background object. A background is a object that appears behind drawing and it is stretched on whole drawing. For example, you can place a graphical element, such as a company logo or a border, as a background.

To add a background to a drawing:

1. | Open the Backgrounds library if it's not already open.
2. | Drag a object onto your drawing.

or

1. | Select the object.
2. | Choose Set Background from Placement submenu under Layout menu.

To remove a background from a drawing:

1.

Choose Clear Background from Placement submenu under Layout menu.


Create and apply styles

A style in Diagram Studio is a named collection of formatting attributes that you can apply to you shapes. You can create styles that format elements of a object: fill, pattern, shadow, line, and text. For example, you might create a style that gives objects a red outline, a green fill, and black bold italic text. A style can be assigned to a object, as a way to determine the object's formatting. Assigning the same style to many objects allows those shapes to share common, standardized formatting.

Select three objects and apply one style to make them look the same.

When you draw a new object using one of the drawing tools, the new object will be assigned the current style. If no objects on the drawing page are selected and you change any format settings from the toolbars, that formatting will be applied to all objects you draw until you choose to reapply the original setting. For example, if you click the Bold button, all objects you subsequently draw will have bold text until you click the Bold button again (turning it off). When you define or edit styles in a drawing, the changes you make are available only in the current diagram.

To define a new style:

1. | Choose Stylesheet from Format menu.
2. | Press New button.
3. | If you want to base the new style on an existing style, select that style from the Based On list and press OK.
4. | Select new style from Style Name list and press Edit button.
5. | When the style contains the settings you want, click Apply to apply it to selected objects.

To change a style:

1. | Choose Stylesheet from Format menu.
2. | In the Style Name list, select the style you want to change.
3. | Do delete the style, click the Delete button.
4. | To change style settings, click the Edit button. When you finish changing the attributes, click Apply.

To apply a style:

1. | Select one or more objects to format.
2. | Choose the style you want to apply from the Style list on the Format Shape toolbar.


Using Layers

You can use Diagram Studio layers to organize related objects on a drawing. A layer is a named category of objects. For example, if you are drawing an office layout, you can assign walls, doors, and windows to one layer, furniture to another layer. Diagram Studio layers do not determine how objects appear on the drawing. The way objects overlap is determined by their stacking order. By assigning objects to different layers, you can selectively view, print, and lock different collections of objects.

Layer Attributes
 | Name - specifies layer names in the drawing.
 | Visible - specifies whether objects on a layer are visible or hidden.
 | Print - specifies whether to print objects on a layer.
 | Lock - Prevents objects on a layer from being selected or altered.

To create a layer:

1. | Choose Layersheet from Format menu.
2. | Click New button.
3. | Type a name for the layer.
4. | In the Attributes pane, click to place a check mark below attribute you want the layer to have, and then click OK.

To remove a layer:

1. | Choose Layersheet from Format menu.
2. | Select the layer you want to delete, and then click Delete.
3. | Click OK.

To assign a objects to a layer:

1. | Select one or more objects to format.
2. | Choose the layer you want to apply from the Layer list on the Format Shape toolbar.


Save and print your work

You should frequently save diagrams as you work. You can later return to the diagram by using the Open feature and choosing the file name that you saved above.

To save a diagram:

1. | Choose Save or Save As from File menu.
2. | For File Name, type a name for the drawing file.
3. | Under Save In, open the folder in which you want to save the file.
4. | Click Save.

Diagram Studio does not directly support multi-page diagrams. Instead, it provides a very simple model where a large diagram can be printed on multiple pages (postering). Postering refers to the technique of creating a very large diagram and laying it out and printing it onto a grid of sheets of paper. You can then manually attach all the sheets to form a wall poster of your diagram. The advantage of this technique is that it is very simple and flexible and lets you design your diagram right on the grid. Diagram Studio helps you do this kind of postering by letting you set up a poster grid that will display with your page boundaries.

To setup a poster grid and page boundaries:

1. | Choose Page Setup from File menu.
2. | Use the Page Setup dialog box to choose the number of pieces of paper that will make up your poster.
3. | Select the paper size, and printing orientation (portrait or landscape).
4. | Click OK.

Since all of these might effect the shape of your printed page area, you can save yourself some work by setting them before starting work on your diagram.

Diagram Studio does not force you to use page boundaries for your diagrams. However, you will most likely want to print your diagram at some point so we recommend that you set up your page boundaries before constructing your diagram. To determine whether a large diagram will print on several pages choose Page Breaks from the View menu or click Page Breaks button [image] on the View toolbar.

You can preview your diagram before you print to make sure you get the result you expect. To preview a diagram before printing click the Print Preview button [image] on the Standard toolbar.

To print your diagram choose Print from File menu, or click the Print button [image] on the Standard toolbar.


Quick Tutorial

The lessons in Quick Tutorial teach you the basic skills you need to create any simple DiagramStudio diagram. Each lesson in Quick Tutorial teaches you basic skills that you can use to create any diagram. In the Quick Tutorial you will learn to:

Create new drawing.

Add symbols to your diagram.

Move and resize symbols.

Add Text.

Connect Symbols.

Format symbols.

Save and print your diagram.

You can move through the lessons in Quick Tutorial by clicking the Previous and Next buttons at the bottom of the window. Are you ready? Let's get started!


Create new drawing

You begin a DiagramStudio diagram with a template — a file that opens one or more libraries that contain the symbols you need to build your diagram. After you open the template, add symbols to your diagram by dragging them from a library onto the drawing page. If you need other symbols, you can find them by opening other libraries.

When you start a diagram with a template, you automatically get all the symbols and tools you need to create your diagram. For example, when you open the Basic Flowchart template, you get the all the flowchart symbols and connectors that you need to create a flowchart. If you don't know which template to choose, click the Block Diagram category, and then click the Basic Diagram template to start out with. It opens the Basic Symbols library, which contains rectangles, circles, triangles, arrows, and so on — many of the basic symbols you might need to create any diagram.

To create a drawing:

1. | Start DiagramStudio.
2. | Under Category, click Block Diagram.
3. | Under Template, click Basic Diagram.

A drawing page appears, with the libraries and tools you need to begin your drawing.


Add symbols to your diagram

After you open a template, the two most common ways to add symbols to your diagram are by dragging a symbol from a library or by drawing an object with the drawing tools. It really is that simple. And you don't need to position the symbols precisely right away — you can refine your diagram as you go.

To drag a shape from a library:

1. | To show the symbols on a library, click the library title bar.
2. | Drag a symbol from a library onto the drawing.

To draw a symbol using the drawing tools:

1.

Click any of the drawing tools, such as the Rectangle tool [image] or the Ellipse tool [image], and then drag to draw a symbol on the drawing page.

To delete a symbol from your diagram:

1.

Click the symbol, and then press the DELETE key.

Note: You can't drag a symbol back onto a library to delete it.

Sometimes you can't find all the symbols you want on the libraries that the template opens. For example, when you open the Basic Flowchart template, it opens four libraries: Backgrounds, Borders and Titles, Arrow and Connectors, and Basic Flowchart Symbols. You'll find most of the symbols you need for a flowchart on these libraries, but you may want to add computer symbols to your flowchart. If so, you can just open a few libraries until you find the symbol you want.

To open other libraries:

1.

On the File menu, point to Open, and then click Library....


Move and resize symbols

Moving DiagramStudio symbols is as easy as dragging a symbol onto the drawing. Usually, you move one symbol at a time. However, there are situations in which it's quicker to move more than one symbol at once.

To move one symbol:

1. | With the Pointer tool [image] , click the symbol to select it.
2. | Place the Pointer tool over the center of the symbol. The pointer changes to a four-headed arrow [image] . This visual cue tells you that the symbol is ready to be moved.
3. | Drag the symbol. Or, you can press the arrow keys on your keyboard to move the symbol.

Note: If you move the symbol by mistake, just undo your last action. (On the Edit menu, click Undo.)

To move more than one symbol at a time:

1. | Hold down the SHIFT key while you click each symbol. Or, if the symbols you want to move are all close together, click a blank area of the drawing page with the Pointer tool, and drag to create a selection net enclosing all the symbols you want to move. DiagramStudio selects everything in the selection net.
2. | Place the Pointer tool over the center of the symbol. The pointer changes to a four-headed arrow [image] . This visual cue tells you that the symbol is ready to be moved.
3. | Drag the symbol. Or, you can press the arrow keys on your keyboard to move the symbol. All the selected symbols move at once.

DiagramStudio symbols have selection handles [image] that you can use to resize a symbol. Just drag one of these handles to increase or decrease the size of the symbol.

To move one symbol:

1. | With the Pointer tool [image] , click a symbol.
2. | Place the Pointer tool over a selection handle [image] . To resize a symbol proportionally, place the Pointer tool over a corner selection handle. The pointer changes to a two-headed arrow [image] [image] [image] [image] . This visual cue tells you that the symbol is ready to be resized.
3. | Drag the selection handle to the size you want.

Note: Sometimes it's difficult to move and resize small symbols when your diagram fits in the drawing window. To position symbols exactly, you may need to zoom in on a portion of a diagram using keyboard shortcuts or the Zoom box on the toolbar. You can also use the Pan & Zoom window to zoom in and out of a large diagram to check the overall look.

Some DiagramStudio symbols have control handles [image] that you can use to change the appearance of a symbol. Every control handle does something different; just drag it to see what it does.


Add Text

You can add two types of text to a DiagramStudio diagram — independent text and text associated with a symbol. Independent text, such as a title or comment, is an independent Text Block, not associated with any symbol. Text associated with a symbol, or text you type in a symbol, moves with a symbol. Adding both types of text is as easy as clicking and typing. And moving the text is as easy as clicking and dragging.

DiagramStudio symbols are designed so that you can add text to them. Just double-click a symbol and type. After you add text to a symbol, the text becomes part of the symbol, which means it moves with the symbol. Just drag the symbol, and the text moves with it. DiagramStudio automatically zooms in on the symbol so you can see the text more easily as you type or format it.

You can also add independent text that's not associated with any symbol — such as titles and comments — to a diagram. Then you can move independent text, also called a text block, the same way you move any other symbol. In fact, an independent text block is really just a symbol with no line or fill.

To add a text block to a drawing:

1.

Click the Text tool [image], click where you want to add text to the page, and then type.

After you add text to a symbol or independent text to the drawing, you can format it — italicize it, underline it, center it, and so on. You can use the text formatting buttons on the toolbar, or you can use the formatting options in the Properties window.


Connect Symbols

Diagrams such as flowcharts, organization charts, block diagrams, and network diagrams all have one thing in common: one-dimensional symbols, called connectors. Connectors connect the symbols in a diagram so that when you move one of the connected symbols, it stays connected. Connectors can also represent relationships between symbols. For example, connectors in a flowchart represent a process flow.

Flowcharts, organization charts, and so forth use lines to represent relationships or hierarchies and to connect the symbols in the diagram. To create this type of connection, use the Connector tool to connect the symbols after they're on the drawing page or as you drag symbols from a library onto the drawing.

Note: Many new DiagramStudio users erroneously use the Line tool to connect symbols. Don't form this habit. When you connect symbols with the Connector tool, the connector reroutes automatically.

To connect symbols after they're on the drawing:

1. | Click the Connector tool [image] .
2. | Place the Connector tool over a connection point [image] on one of the symbols you want to connect. The Connector tool highlights the connection point with a red box [image] . This visual cue tells you that a connection can be made from that point.
3. | Drag the Connector tool from the connection point on the first shape to a connection point on the second shape. The connector endpoints turn red when the symbols are connected.

To connect symbols with connectors from a library:

1. | Drag a connector from the library.
2. | Drag the connector's endpoint onto a connection point of the symbol you want to connect. Both connector endpoints turn red if the symbols are connected properly.

To delete a connector:

1. | Click the connector.
2. | Press the DELETE key

To move a connector:

1.

Drag one of its endpoints to a new location.

You add text to connectors the same way you add text to any DiagramStudio symbol — just click the connector and type.


Format symbols

Formatting a symbol is quick and easy when you use the formatting tools on the toolbar. Just click the symbol, and then click a tool to change attributes, such as color, pattern, line thickness, and so on. You can select multiple symbols to format simultaneously by holding down the SHIFT key while you click each symbol or by dragging a selection net around the symbols you want to format.

To format symbol:

1. | Click the symbol.
2. | 2. Click any of the formatting buttons, such as the Pattern Color button [image] , Line Color button [image] or Fill Color button [image] , on the toolbar.

Note: Please see the picture below for understand how fill-pattern work.

To show more formatting options, right-click the symbol, and then on the shortcut menu, click Properties.

You can also use the Match Properties tool [image] to copy all the formatting attributes — text, fill, and line attributes — of one symbol to another. Click the symbol whose formatting you want to copy, click the Match Properties tool, and then click the symbol you want to format.

Note: You can duplicate a symbol after you've formatted it. Click the symbol, and on the Edit menu, click Copy, and then on the Edit menu, click Paste. Or, to quickly copy a symbol to a specific location, hold down the CTRL key while you drag the symbol. Make sure you release the mouse button before you release the CTRL key, or the shape will move instead of being copied.


Save and print your diagram

After you finish and save your diagram, you can show it to others in various formats. Most people still print their diagrams.

Diagram Studio does not directly support multi-page diagrams. Instead, it provides a very simple model where a large diagram can be printed on multiple pages (postering). Postering refers to the technique of creating a very large diagram and laying it out and printing it onto a grid of sheets of paper. You can then manually attach all the sheets to form a wall poster of your diagram. The advantage of this technique is that it is very simple and flexible and lets you design your diagram right on the grid. Diagram Studio helps you do this kind of postering by letting you set up a poster grid that will display with your page boundaries.

To setup a poster grid and page boundaries:

1. | Choose Page Setup from File menu
2. | Use the Page Setup dialog box to choose the number of pieces of paper that will make up your poster.
3. | Select the paper size, and printing orientation (portrait or landscape).

Before you print a diagram, you can preview it to see whether the symbols on the drawing will fit on the printed page. After you see the print preview, you may want to move your symbols so they're not too close to the edge of the page. Or you may want to make changes to the drawing or printer settings, such as orientation, size, margins, and so on.

To preview and print your diagram:

1. | Click the Print Preview button [image] .
2. | If you need to make adjustments to your diagram or printer settings, click the Close button to close the print preview window. To make changes to the drawing, on the File menu, click Page Setup. To make changes to printer settings, on the File menu, click Print, and then click Properties.
3. | Click the Print [image] button.

You can also save a diagram in many different file formats. For example, you can save a diagram as a Web page. With DiagramStudio, saving your diagrams as Web pages is as easy as saving a file. DiagramStudio automatically adds the HTML tags necessary to display the diagram in a Web browser, so all you have to do is make sure that your diagram looks the way you want.

To save your diagram as a Web page:

1. | On the File menu, select Export and click Web Page....
2. | In the File name field, type a name for the Web page file and click OK.
3. | In the Save as Web Page box, type a title, and then click OK.
4. | Click Preview button to open your Web browser and view the Web page.

You're done! You've completed all the lessons in Getting Started, and now you can create any basic diagram using DiagramStudio!


Drawing a Flowchart

DiagramStudio is a software package that can be used to develop almost any kind of diagram. Here we will discuss one of the simpler uses for this tool - to drawing a Flowchart. Flowcharts are visual representations of process and are frequently referred to as process flowcharts. This section shows you how to draw a flowchart. It follows a step-by-step procedure:

Create new drawing.

Add flowchart symbols.

Connect flowchart symbols.

Add independent text for titles.

Save and print your flowchart.

Move through Quick Tutorial by clicking the Next button at the bottom of this window


Step1: Create a Drawing

You begin a DiagramStudio diagram with a template — a file that opens one or more libraries that contain the symbols you need to build your diagram. After you open the template, add symbols to your diagram by dragging them from a library onto the drawing page. If you need other symbols, you can find them by opening other libraries.

When you start a diagram with a template, you automatically get all the symbols and tools you need to create your diagram. For example, when you open the Basic Flowchart template, you get the all the flowchart symbols and connectors that you need to create a flowchart. If you don't know which template to choose, click the Block Diagram category, and then click the Basic Diagram template to start out with. It opens the Basic Symbols library, which contains rectangles, circles, triangles, arrows, and so on — many of the basic symbols you might need to create any diagram.

To create a Drawing:

1. | Start DiagramStudio.
2. | Under Category, click Flowchart
3. | Under Template, click Basic Flowchart

A drawing page appears, with the libraries and tools you need to begin your drawing.


Step2: Add flowchart symbols

Flowcharts start and end with the terminator symbol. To draw this symbol, drag a Terminator symbol from the Basic Flowchart Symbols library onto the drawing page. Add text "Start" to the symbol by double-clicking and typing. Your symbol should look like this:

Our second shape will be a rectangle that represents a process. Drag a Process symbol from the Basic Flowchart Symbols library onto the drawing page. Then double-click on the rectangle symbol and type in Process. You can move the shape to position it beneath the terminator. The symbol we will add next is the decision shape. It is the diamond shape. A decision symbol asks a question. Control flows out of a decision in two or three different paths. Double-click on the decision symbol and type in Decision. Now add another rectangle with the text Process under the decision symbol. Next, drag the document symbol that has a curve on its lower edge. The document shape is used for items that are printed. Add the text Output and place this symbol to the left of the decision symbol. Next, we must add a terminator containing the word End under second Process symbol. If you make a mistake, you always can undo it by clicking on the Undo toolbar button.

After placing these symbols, your diagram should look like this:


Step3: Connect symbols

Step3: Add flowchart symbols

Now we will connect these symbols. From Drawing toolbar, click the connector tool [image], and then position the connector tool over the bottom snap point [image] of the first symbol. Hold down the mouse button and drag to draw a connector. While holding the mouse button, position the connector tool over the top snap point [image] of the symbol to which you want to connect, and then release the mouse button. Assign the line ends using toolbars.

Do this to connect the symbols. You may need to scroll or zoom out to connect the symbols. If you make a mistake, you can undo it by clicking on the Undo toolbar button. Now, your diagram should look like this:


Step4: Add independent text for titles

You may create the text simply having added Text object. Choose the pointer tool [image] from the Drawing toolbar. Drag in the drawing window until the Text block is the size you want. You can draw a square block by holding down SHIFT as you drag. Double-click the Text object, and then type Sample Flowchart text. When you finish typing, click outside the Text object. To format text use the Text... command on the Format menu or the tools on the Format text toolbar to apply formatting to the selected Text object. DiagramStudio Connectors are designed so that you can add text to them the so-called Labels. You can add or edit the Labels of Connectors by double-clicking the Connector, and then editing the text block of Label. Double-click on the connector under decision symbol and type in No.

Your chart should look like the one shown below.


Step5: Save and print your flowchart

You should frequently save diagrams as you work. You can later return to the diagram by using the Open feature and choosing the file name that you saved above.

To save a diagram choose Save or Save As from File menu. For File Name, type Sample Flowchart for the drawing file. Under Save In, open the folder in which you want to save the file, and click Save.

You can preview your flowchart before you print to make sure you get the result you expect. To preview a diagram before printing click the Print Preview button [image] on the Standard toolbar. To print your flowchart choose Print from File menu, or click the Print button [image] on the Standard toolbar.


Customization

You can customize Diagram Studio application by arranging command bars and commands to suit your needs. Command bars include menus, toolbars, and the status bar.

In this section, you'll learn about

Customizing menus

Customizing toolbars

Customizing keyboard shortcuts

Note:

DiagramStudio online Help is based on an application's default settings. When you customize command bars, commands, and buttons, the Help topics associated with them do not reflect your changes.


Customizing menus

DiagramStudio customization features let you modify the menu bar and the menus it contains. You can change the order of menus and menu commands; add, remove, and rename menus and menu commands; and add and remove menu command separators. For further customization, you can change keyboard shortcuts to menus and menu commands. You can also reset menus to the default setting.

The customization options apply to the menu bar menus as well as to pop-up menus that you access by right-clicking.

In this section, you'll learn about

Change the order of menu commands

Add a commands to a menu

Add menu command separator

Rename a menus and menu commands

Change the keyboard shortcut to a menu or menu commands

Reset menu to default setting

Choose a menu animation and shadows


Change the order of menu commands

To change the order of menu commands:

1. | On the menu bar click Tools->Customize.
2. | In the list of categories, click Customization->Command Bars.
3. | Click a menu on the menu bar and drag it to the left or right. If you want to change order of a menu command, click a menu on the menu bar, click a menu command, and drag it up or down.


Add a command to a menu

To add command to a menu:

1. | On the menu bar click Tools->Customize.
2. | In the list of categories, click Customization->Commands.
3. | Choose an item from the list box.
4. | Click a command and drag it onto a menu in the application window.

Note:

When you click Commands in the list of categories, you can remove a menu command from a menu by clicking on the command and dragging it off the menu.


Add menu command separator

To add menu command separator:

1. | On the menu bar click Tools->Customize.
2. | In the list of categories, click Customization->Commands.
3. | Click right button of mouse a menu on the menu bar.
4. | In context menu select Start Group.

Note:

When you click Commands in the list of categories, you can remove a menu command separator by right-clicking on the menu command and unselect Start Group.


Rename a menus and menu commands

To rename a menus and menu commands:

1. | On the menu bar click Tools->Customize.
2. | In the list of categories, click Customization->Commands.
3. | Right-click a menu on the menu bar or click a menu on the menu bar and right-click a menu command.
4. | In the context menu choose Button Appearance...
5. | Type a name in the Button text box.

Note:

If you want to use a letter in the menu name as shortcut to the menu or menu commands, type an ampersand (&) before the letter.


Change the keyboard shortcut to a menu or menu commands

To change the keyboard shortcut to a menus or menu commands:

1. | On the menu bar click Tools->Customize.
2. | In the list of categories, click Customization->Commands.
3. | Right-click a menu on the menu bar or click a menu on the menu bar and right-click a menu command.
4. | In the context menu choose Button Appearance...
5. | In the Button text box, type an ampersand (&) before the letter you want to use as shortcut.
6. | Remove all other ampersands from the menu name.


Reset menu to the default setting

To reset menu to default setting:

1. | On the menu bar click Tools->Customize.
2. | I the list of categories, click Customization->Command Bars.
3. | Click Reset button.


Choose a menu animation and shadows

To choose a menu animations and (or) shadowing:

1. | On the menu bar click Tools->Customize.
2. | In the list of categories, click Workspace->Customization->Command Bars->Menus.
3. | In the list Menu animations choose type of animations
4. | Check (uncheck) Menu shadows checkbox.


Customizing toolbars

You can create, delete, and rename custom toolbars and adjust toolbar position and display. You can also customize toolbars by editing toolbar buttons, adding toolbar items to toolbars, and specifying what toolbar items appear on a toolbar and in what order.

In this section, you'll learn about

Customize toolbar position and display

Working with custom toolbars

Add an item to a toolbar

Arrange toolbar items

Change the appearance of toolbar buttons

Edit a toolbar button image


Customize toolbar position and display

To move a toolbar click the toolbar border [image], and drag the toolbar to a new position.

To dock a toolbar click the toolbar border [image], and drag the toolbar to the edge of the application window until it change shape.

To resize a toolbar point to the edge of the toolbar and, using the two-directional arrow, drag the edge of the toolbar.

To display a toolbar on the menu bar click Tools->Customize, click Customization->Command Bars, and enable the check box next to the toolbar you want to display.

To reset a toolbar to its default settings on the menu bar click Tools->Customize, click Customization->Command Bars, click a toolbar, and click Reset button.


Working with custom toolbar

To create custom toolbar:

1. | On the menu bar click Tools->Customize
2. | In the list of categories, click Customization->Command Bars.
3. | Press New button.
4. | Type a toolbar name in the Toolbar Name box and press OK.
5. | In the list of categories, click Customization->Commands.
6. | Choose an item from the Categories list box.
7. | Click a command and drag it onto a new toolbar.

To delete a custom toolbar:

1. | On the menu bar click Tools->Customize
2. | In the list of categories, click Customization->Command Bars.
3. | Choose a custom toolbar from the Toolbars list box.
4. | Press Delete button.

To rename a custom toolbar:

1. | On the menu bar click Tools->Customize
2. | In the list of categories, click Customization->Command Bars.
3. | Choose a custom toolbar from the Toolbars list box.
4. | Press Rename button.
5. | Type a toolbar name in the Toolbar Name box and press OK.


Add an item to a toolbar

To add item to a toolbar

1. | On the menu bar click Tools->Customize
2. | In the list of categories, click Customization->Command Bars.
3. | Enable the check box beside the toolbar to witch you are adding an item.
4. | In the list of categories, click Commands.
5. | Choose an item from the list box.
6. | Drag a toolbar item icon to a custom toolbar in the application window.

Note:

If you want to remove an item from a custom toolbar, drag the toolbar item icon from the toolbar to the applications window.


Arrange toolbar items

To arrange toolbar items

1. | On the menu bar click Tools->Customize...
2. | In the list of categories, click Customization->Command Bars.
3. | Enable the check box beside the toolbar to witch you are adding arranging. If you want to move a toolbar, enable the check-boxes of both the source and target toolbars.
4. | In the list of categories, click Commands.
5. | Drag the toolbar item to new position. If you want to move a toolbar item to another toolbar, drag the toolbar item from one toolbar to the other.

Note:

You can copy a toolbar item to another toolbar by holding down Ctrl when dragging toolbar item.


Change the appearance of toolbar buttons

To change the appearance of toolbar buttons

1.

On the menu bar click Tools->Customize.

2.

In the list of categories, click Customization->Command Bars.

3.

Enable the check box beside the toolbar.

4.

Right-click toolbar in the application window.

5.

Choose of the following:

- Image

- Text

- Image and Text


Edit a toolbar button image

To edit a toolbar button image

1. | On the menu bar click Tools->Customize...
2. | In the list of categories, click Customization->Command Bars.
3. | Enable the check box beside the toolbar.
4. | Right-click toolbar in the application window.
5. | Click Button Appearance... on context menu.
6. | Choose Select User-defined Images radio-button.
7. | Press New... or Edit... button for edit button image.

Note:

You can reset toolbar button images to the default settings by clicking Reset or Reset All buttons (Customization->Command Bars).


Customizing keyboard shortcuts

Although DiagramStudio applications already have preset keyboard shortcuts, you can change these or add your own shortcuts to suit your working style. You can assign keyboard shortcuts to the commands, and you can delete keyboard shortcuts. You can also print keyboard shortcuts. You can also save a list of the keyboard shortcuts to a file format that applications such as word processors or spreadsheets can open.

In this section, you'll learn about

Assign a keyboard shortcut to a command

Delete a keyboard shortcut assigned to a command

Print keyboard shortcuts


Assign a keyboard shortcut to a command

To assign a keyboard shortcut to a command

1. | On the menu bar click Tools->Customize...
2. | In the list of categories, click Customization->Command->Keyboard.
3. | Select category of command from Category combo-box (or All Commands).
4. | Choose an item from the Commands list.
5. | Type a key combination in the Press New Shortcut Key box.
6. | Click Assign button.

Note:

The shortcut keys currently assigned to the selected command are displayed in the Current Keys box. You can reset all of the existing keyboard shortcuts by clicking Reset All.


Delete a keyboard shortcut assigned to a command

To delete a keyboard shortcut assigned to a command

1. | On the menu bar click Tools->Customize...
2. | In the list of categories, click Customization->Command->Keyboard.
3. | Select category of command from Category combo-box (or All Commands).
4. | Choose an item from the Commands list.
5. | Click a shortcut key in the Current Keys box.
6. | Press Remove button.


Print keyboard shortcuts

To print keyboard shortcut:

1.

On the menu bar click Help->Keyboard Map...

2. | Choose a shortcut key table from Category combo-box.
3. | Click Print [image] toolbar button.


Customizing user-defined tools

User-defined tool is a special menu, which executes an external, specified by the user, program.

In this section, you'll learn about:

Add an item to a user-defined tools

Modify a user-defined tool

Delete a user-defined tool


Add an item to user-defined tools

To add an item to user-defined tools

1. | On the menu bar click Tools->Customize...
2. | In the list of categories, click Customization->Command->Tools.
3. | Click New button [image] above the Menu Contents list box.
4. | Type the text for menu item in the box at the end of the Menu Contents list, and provide the necessary information in the boxes below (Command, Arguments, and Initial directory).

Note:

Placing an ampersand (&) before a letter in the menu item text makes the letter an accelerator key.


Modify a user-defined tool

To modify a user-defined tool

1. | On the menu bar click Tools->Customize...
2. | In the list of categories, click Workspace->Customization->Command->Tools.
3. | Choose an item from the Menu Contents list box.
4. | Change the information in the boxes below (Command, Arguments, and Initial directory).

Note:

To move a command up or down on the Tools menu, choose it in the Menu Contents list box and click one of the arrows above the list [image] .


Delete a user-defined tool

To delete a user-defined tool:

1. | On the menu bar click Tools->Customize...
2. | In the list of categories, click Customization->Command->Tools.
3. | Choose an item from the Menu Contents list box.
4. | Click Delete button [image] above Menu Contents list box.


Contact Us

Before contacting us, please read the help file that comes with the Diagram Studio. Your questions may have already been answered. If your question is not answered in the help file that comes with the product, please read one of the pages below:

Technical Support

Frequently Asked Questions

Documentation feedback

If you didn't receive your registration key in a reasonable amount of time (usually two business days for credit card transactions, two weeks for all other payments), please click here.

You can e-mail us directly at:

sales@gadwin.com | - sales-related questions
support@gadwin.com | - technical questions
webmaster@gadwin.com | - web-related questions
documentation@gadwin.com | - documentation feedback and suggestions
info@gadwin.com | - all other questions

Note:

Be sure that to give us the correct e-mail address: otherwise, we won't be able to answer your question.


Technical support

Gadwin Systems provides free technical support for Diagram Studio. Technical support is available via e-mail at no charge for all registered users. Although, we keep trying to answer everyone regardless of whether you are a registered user or not. If you have a problem or question related to installing or using Diagram Studio, do not hesitate to send an e-mail message now to support@gadwin.com. You may also want to check out our list of known problems. If what you want to tell us is really more of a suggestion or a request for enhancement, please use our suggestion form instead. The Diagram Studio team welcomes your comments and suggestions about Diagram Studio. On our suggestions page you can submit your report, comments, suggestions, or request for a feature online. Your feedback is important to us in order to get an idea of how to make Diagram Studio a better product for you.


Frequently Asked Questions

This page contains answers to common questions handled by our support staff, along with some tips and tricks that we have found useful and presented here as questions.

1. | Can I try Diagram Studio prior to purchase?
2. | What languages is Diagram Studio available in?
3. | What will my computer need to run Diagram Studio?
4. | How do I uninstall the evaluation version of Diagram Studio?
5. | How much does Diagram Studio cost, and how can I obtain it?
6. | How do I create a large diagram that doesn't fit on one page?
7. | How do I use the program to create graphics for my web page?
8. | What if I have question about my order?
9. | How do I get started?
10. | Page Setup and Print Preview does not work on my system. Why?
11. | How I can keep the toolbar buttons selected?
12. | How I can move objects very precisely?
13. | I need to know how to add another page to my flow chart

1.

Can I try Diagram Studio prior to purchase?

Yes. You can download an evaluation version of Diagram Studio and try it free for 30 days. See License Agreement for more info about using our software.

Back to Top

2.

What languages is Diagram Studio available in?

Diagram Studio are available in English.

Back to Top

3.

What will my computer need to run Diagram Studio?

Diagram Studio 3.0 requires Microsoft ® Windows 95/98/Me/2000/XP, or Windows NT 4.0. If you are running any of these operating systems and have a Windows-compatible mouse or pointing device, your system has already met all the requirements necessary to run Diagram Studio. A full installation of Diagram Studio requires only 10 megabytes of hard drive space. Diagram Studio has complete printer and plotter support. If a graphics printer or plotter is installed in Windows, it will work with Diagram Studio.

Back to Top

4.

How do I uninstall the evaluation version of Diagram Studio?

For all the details, see the Installing and uninstalling DiagramStudio.

Back to Top

5.

How much does Diagram Studio cost, and how can I obtain it?

Get pricing and purchasing information on the Diagram Studio Purchase page.

Back to Top

6.

How do I create a large diagram that doesn't fit on one page?

In Diagram Studio you always work with a diagram as a whole. Think of your diagram drawing as a very large virtual chalkboard. When your diagram gets too large for a single page, there are several options.

1. | Use a larger page. If you have access to a printer that can print a bigger page, or even a plotter, Diagram Studio can probably handle it. Use Print Setup to select a different page size for your diagram. The page information is saved with each diagram.
2. | Use the Postering feature. With this feature you can lay out your drawing on a grid of pages. However, you may also split your diagram up into several pages and use the grid only to manage and print the pages separately.
3. | If you really require a multi-page book-type diagram, you can create it in a word processor and use OLE to insert diagrams onto each page. For example, use MS Word to create a multi-page document.

Back to Top

7.

How do I use the program to create graphics for my web page?

Use the Export feature to save your diagram as a JPEG (.JPG) file. This is one of the standard graphic types (along with GIF) that are used in web pages. Another way is to use the OLE (Object Linking and Embedding) capability in conjunction with a web publishing tool. Most such tools will allow you to embed OLE objects like this program's diagrams right onto your pages and still use this program to edit the diagrams.

Back to Top

8.

What if I have question about my order?

E-mail to sales@gadwin.com.

Back to Top

9.

How do I get started?

See Getting Started topic. It is designed to help you quickly learn how to use Diagram Studio.

Back to Top

10.

Page Setup and Print Preview does not work on my system. Why?

DiagramStudio requires a default printer. Run Control Panel and then Printers to add a printer.

Back to Top

11.

How I can keep the toolbar buttons selected?

If you want to draw several copies of the same kind of object, you can force the drawing tool that you are using to remain selected by holding the Shift key down the first time you click on it. Holding the Shift key down when you select any drawing tool, causes it to remain selected until you click on another tool or release Shift key.

Back to Top

12.

How I can move objects very precisely?

When one or more objects are selected, pressing the Arrow Keys on the keyboard moves the objects by one pixel at a time in the direction of the arrow. The Snap-to grid is ignored for this operation.

Back to Top

13.

I need to know how to add another page to my flowchart?

Diagram Studio does not directly support multi-page diagrams. Instead, it provides a very simple model where a large diagram can be printed on multiple pages (postering). Postering refers to the technique of creating a very large diagram and laying it out and printing it onto a grid of sheets of paper. You can then manually attach all the sheets to form a wall poster of your diagram. The advantage of this technique is that it is very simple and flexible and lets you design your diagram right on the grid. Diagram Studio helps you do this kind of postering by letting you set up a poster grid that will display with your page boundaries.

To setup a poster grid and page boundaries:

1. Choose Page Setup from File menu.

2. Use the Page Setup dialog box to choose the number of pieces of paper that will make up your poster.

Back to Top


Documentation feedback

At Gadwin Systems, we strive to produce the highest quality documentation products and welcome your feedback. If you have comments or suggestions about our online help or printed guides, you can email us.

Please include the following information with your feedback:

1. | Product version number
2. | Topic title (for online help)
3. | Brief description of content (for example, are you reviewing step-by-step instructions that are inaccurate, grammatical errors in a specific paragraph, information that requires clarification or more details, etc.)
4. | Your suggestion for how to correct/improve documentation

Please send email messages to: documentation@gadwin.com. Keep in mind, this email address is only for documentation feedback.


Working with multiple workspaces

A workspace is a configuration of settings that specifies how the various command bars, commands, and buttons are arranged when you open the application. You can create, choose, and delete workspaces. You can also import and export workspaces to and from other computers using the same application. For example, you may want a group of users to have a similar look and feel to the workspace they are using.

In this section, you'll learn about

Choose a workspace

Create a workspace

Delete a workspace

Import a workspace

Export a workspace


Exploring the menus

Under construction


Exploring the workspace

Type topic text here.